# RabbitMQ Consumer

A consumer that allows you to send messages to RabbitMQ. 

## Beans for injection

You can import `RabbitConsumerConfiguration` in the application and then inject the following bean.

`Function<Message<?>, Object> rabbitConsumer`

You can use `rabbitConsumer` as a qualifier when injecting.

## Configuration Options

All configuration properties are prefixed with `rabbit`.

For more information on the various options available, please see link:src/main/java/org/springframework/cloud/fn/consumer/rabbit/RabbitConsumerProperties.java[RabbitConsumerProperties].

## Tests


## Other usage

See this https://github.com/spring-cloud/stream-applications/blob/master/applications/sink/rabbit-sink/README.adoc[README] where this consumer is used to create a Spring Cloud Stream application where it makes a RabbitMQ sink.